Package org.eclipse.gef.commands

# Interface CommandStackListener

All Known Implementing Classes:
  `GraphicalEditor`, `GraphicalEditorWithFlyoutPalette`, `GraphicalEditorWithPalette`

public interface CommandStackListener
Deprecated.
Use `CommandStackEventListener` instead and filter for post-events using `CommandStack.POST_MASK`.
A CommandStackListener is notified whenever the `CommandStack`'s state has changed.

## Method Summary

Modifier and Type
Method
Description
`void`
`commandStackChanged(EventObject event)`
Deprecated.
Called when the `CommandStack`'s state has changed.

## Method Details

### commandStackChanged

void commandStackChanged(EventObject event)
Deprecated.
Called when the `CommandStack`'s state has changed.

Parameters:
  `event` - the event